/* ZAPI_M.H - mailbox command codes (Streaming only) */

/* Streaming Mailbox commands */
#define READ_STATUS                     0x00
#define SEND_FRAME                      0x01
#define RECEIVE_FRAME                   0x02
#define ENABLE_COMMUNICATIONS           0x03
#define DISABLE_COMMUNICATIONS          0x04
#define SET_CONFIGURATION               0x05
#define READ_CONFIGURATION              0x06
#define READ_OPERATIONAL_STATISTICS     0x07
#define FLUSH_OPERATIONAL_STATISTICS    0x08
#define READ_COMMS_ERR_STATISTICS       0x09
#define FLUSH_COMMS_ERR_STATISTICS      0x0a
#define SET_MODEM_STATUS                0x0b
#define READ_MODEM_STATUS               0x0c
#define FLUSH_BUFFERS                   0x0d
#define READ_CODE_VERSION               0x10
#define BRIDGE_RX_AND_TX                0x11
#define DRAIN_TX_BFRS_DROP_RTS          0x12
#define RX_CRC_FRAME_CONTROL            0x22
#define SET_INTERRUPT_TRIGGERS			0x20
#define READ_INTERRUPT_TRIGGERS			0x21

#define	UNUSED_CMD_FOR_EVENTS		0x7f

#define	Z80_TIMEOUT_ERROR	0x0a
#define	DATA_LENGTH_TOO_BIG	0x02

